# Special names here like {__make} come from /usr/lib/rpm/macros

%define version 2.2
%define name wipefreespace
%define wfs_prefix /usr/local

Summary:	Program for secure cleaning of free space on file systems
Name:		%{name}
Version:	%{version}
Release:	1
URL:		http://wipefreespace.sf.net
License:	GPLv2
Group:		Applications/System
# Group:		System Utilities
# Packager:	Bogdan Drozdowski <bogdandr@op.pl>
# Prefix:		/usr/local
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-build
Requires:	xfsprogs
BuildRequires:	gcc, glibc, glibc-devel, glibc-headers, make
Obsoletes:	e2wipefreespace <= 0.5
Provides:	e2wipefreespace >= 0.6

%description

The wipefreespace is a program which securely cleans free space on given
file systems, making confidential removed data recovery impossible. It also
removes deleted files' names, so that no trace is left. Supported file systems
are: ext2/3/4, NTFS, XFS, ReiserFSv3/4, FAT12/16/32, MinixFSv1/2, JFS, HFS+
and OCFS.

%prep
# {__rm} -rf $RPM_BUILD_ROOT
%setup -q

%build
CFLAGS='-march=i386' ./configure --prefix=%{wfs_prefix} --mandir=/usr/share/man \
	--infodir=/usr/share/info --libdir=%{wfs_prefix}/lib
#--mandir=$RPM_BUILD_ROOT/usr/local/man
#prefix=$RPM_BUILD_ROOT/usr/local
%{__make} 2>/dev/null

%post
#install-info

%postun
#install-info

%install

%{__mkdir_p} $RPM_BUILD_ROOT/usr/share/info
#prefix=$RPM_BUILD_ROOT/usr/local
%{__make} DESTDIR="$RPM_BUILD_ROOT" install-strip
# {__mv} -f $RPM_BUILD_ROOT/usr/share/locale/pl/LC_MESSAGES/wipefreespace.mo \
#	$RPM_BUILD_ROOT {wfs_prefix}/share/locale/pl/LC_MESSAGES/wipefreespace.mo
%{__rm} -f $RPM_BUILD_ROOT/usr/bin/wipefreespace*
%{__rm} -f $RPM_BUILD_ROOT%{wfs_prefix}/info/wipefreespace.info*
%{__rm} -f $RPM_BUILD_ROOT%{wfs_prefix}/man/man1/wipefreespace.1*
%{__rm} -f $RPM_BUILD_ROOT%{wfs_prefix}/share/info/wipefreespace.info*
%{__rm} -f $RPM_BUILD_ROOT%{wfs_prefix}/share/man/man1/wipefreespace.1*
# {__rm} -f $RPM_BUILD_ROOT {wfs_wfs_prefix}/share/locale/pl/LC_MESSAGES/wipefreespace.mo
%{__ln_s} %{wfs_prefix}/bin/wipefreespace $RPM_BUILD_ROOT/%{wfs_prefix}/bin/e2wipefreespace
%{__ln_s} %{wfs_prefix}/bin/wipefreespace $RPM_BUILD_ROOT/%{wfs_prefix}/bin/e3wipefreespace
%{__ln_s} %{wfs_prefix}/bin/wipefreespace $RPM_BUILD_ROOT/%{wfs_prefix}/bin/e4wipefreespace
%{__ln_s} %{wfs_prefix}/bin/wipefreespace $RPM_BUILD_ROOT/%{wfs_prefix}/bin/ntfswipefreespace
%{__ln_s} %{wfs_prefix}/bin/wipefreespace $RPM_BUILD_ROOT/%{wfs_prefix}/bin/xfswipefreespace
%{__ln_s} %{wfs_prefix}/bin/wipefreespace $RPM_BUILD_ROOT/%{wfs_prefix}/bin/reiserwipefreespace
%{__ln_s} %{wfs_prefix}/bin/wipefreespace $RPM_BUILD_ROOT/%{wfs_prefix}/bin/reiser4wipefreespace
%{__ln_s} %{wfs_prefix}/bin/wipefreespace $RPM_BUILD_ROOT/%{wfs_prefix}/bin/fatwipefreespace
%{__ln_s} %{wfs_prefix}/bin/wipefreespace $RPM_BUILD_ROOT/%{wfs_prefix}/bin/vfatwipefreespace
%{__ln_s} %{wfs_prefix}/bin/wipefreespace $RPM_BUILD_ROOT/%{wfs_prefix}/bin/minixwipefreespace
%{__ln_s} %{wfs_prefix}/bin/wipefreespace $RPM_BUILD_ROOT/%{wfs_prefix}/bin/minix1wipefreespace
%{__ln_s} %{wfs_prefix}/bin/wipefreespace $RPM_BUILD_ROOT/%{wfs_prefix}/bin/minix2wipefreespace
%{__ln_s} %{wfs_prefix}/bin/wipefreespace $RPM_BUILD_ROOT/%{wfs_prefix}/bin/jfswipefreespace
%{__ln_s} %{wfs_prefix}/bin/wipefreespace $RPM_BUILD_ROOT/%{wfs_prefix}/bin/hfspwipefreespace
%{__ln_s} %{wfs_prefix}/bin/wipefreespace $RPM_BUILD_ROOT/%{wfs_prefix}/bin/hfswipefreespace
%{__ln_s} %{wfs_prefix}/bin/wipefreespace $RPM_BUILD_ROOT/%{wfs_prefix}/bin/ocfswipefreespace
%{__ln_s} %{wfs_prefix}/bin/wipefreespace $RPM_BUILD_ROOT/%{wfs_prefix}/bin/ocfs2wipefreespace
# {__mv} -f $RPM_BUILD_ROOT/usr/bin/wipefreespace $RPM_BUILD_ROOT {wfs_prefix}/bin/wipefreespace
# {makeinstall}

%clean

%{__rm} -rf $RPM_BUILD_ROOT

%define _unpackaged_files_terminate_build 0
%files

%defattr(-,root,root)
%{wfs_prefix}/bin/wipefreespace
%{wfs_prefix}/bin/e2wipefreespace
%{wfs_prefix}/bin/e3wipefreespace
%{wfs_prefix}/bin/e4wipefreespace
%{wfs_prefix}/bin/ntfswipefreespace
%{wfs_prefix}/bin/xfswipefreespace
%{wfs_prefix}/bin/reiserwipefreespace
%{wfs_prefix}/bin/reiser4wipefreespace
%{wfs_prefix}/bin/fatwipefreespace
%{wfs_prefix}/bin/vfatwipefreespace
%{wfs_prefix}/bin/minixwipefreespace
%{wfs_prefix}/bin/minix1wipefreespace
%{wfs_prefix}/bin/minix2wipefreespace
%{wfs_prefix}/bin/jfswipefreespace
%{wfs_prefix}/bin/hfspwipefreespace
%{wfs_prefix}/bin/hfswipefreespace
%{wfs_prefix}/bin/ocfswipefreespace
%{wfs_prefix}/bin/ocfs2wipefreespace
%doc /usr/share/info/wipefreespace.info.gz
%doc /usr/share/man/man1/wipefreespace.1.gz
%doc README
%doc COPYING
%doc AUTHORS
%doc ChangeLog
%{wfs_prefix}/share/locale/pl/LC_MESSAGES/wipefreespace.mo
%{wfs_prefix}/share/locale/en@boldquot/LC_MESSAGES/wipefreespace.mo
%{wfs_prefix}/share/locale/en@quot/LC_MESSAGES/wipefreespace.mo

%changelog
